| AOMedia AV1 Codec

ExtRefreshFrameFlagsInfo Struct Reference

Frame refresh flags set by the external interface. More...

`#include <encoder.h>`

## Data Fields
bool | last_frame
bool | golden_frame
bool | bwd_ref_frame
bool | alt2_ref_frame
bool | alt_ref_frame
bool | update_pending

## Detailed Description

Frame refresh flags set by the external interface.

Flags set by external interface to determine which reference buffers are refreshed by this frame. When set, the encoder will update the particular reference frame buffer with the contents of the current frame.

## Field Documentation

## ◆ last_frame

bool ExtRefreshFrameFlagsInfo::last_frame

Refresh flag for last frame

Referenced by av1_set_rtc_reference_structure_one_layer().

## ◆ golden_frame

bool ExtRefreshFrameFlagsInfo::golden_frame

Refresh flag for golden frame

Referenced by av1_set_rtc_reference_structure_one_layer().

## ◆ bwd_ref_frame

bool ExtRefreshFrameFlagsInfo::bwd_ref_frame

Refresh flag for bwd-ref frame

## ◆ alt2_ref_frame

bool ExtRefreshFrameFlagsInfo::alt2_ref_frame

Refresh flag for alt2-ref frame

## ◆ alt_ref_frame

bool ExtRefreshFrameFlagsInfo::alt_ref_frame

Refresh flag for alt-ref frame

Referenced by av1_set_rtc_reference_structure_one_layer().

## ◆ update_pending

bool ExtRefreshFrameFlagsInfo::update_pending

Flag indicating if the update of refresh frame flags is pending.

Referenced by av1_encode_strategy(), and av1_set_rtc_reference_structure_one_layer().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h